Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -3543,90 +3545,90 @@
         else
             maskdispl=get(handles.mask_civ1,'String');%look for mask name in edit box
-            maskbase=[filebase '_' maskdispl];% 
-            nbslice=str2num(maskdispl(1:end-4)); % 
+            maskbase=[filebase '_' maskdispl];%
+            nbslice=str2num(maskdispl(1:end-4)); %
             num1_mask=mod(num1(ifile)-1,nbslice)+1;
             maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
             if exist(maskname,'file')
-                maskflag='y'; 
+                maskflag='y';
             else
                 maskname='noFile use default';
-                maskflag='n'; 
-            end
-        end
-		textcmx={'##############   CMX file';...
-		['FirstImage ' filename_ima];...
-		['LastImage  ' filename_ima_1];...
-		'XX' ;...
-		['Mask ' maskflag] ;...
-		['MaskName ' maskname];...
-		['ImageSize ' npx ' ' npy];...   %VERIFIER CAS GENERAL ?
-		['CorrelationBoxesSize ' ibx ' ' iby];...
-		['SearchBoxeSize ' isx ' ' isy];...
-		['RO ' rho];...
-		['GridSpacing ' dx ' ' dy];...
-		'XX 1.0';...
-		['Dt_TO ' Dt ' ' T0];...
-		['PixCmXY ' pxcmx ' ' pxcmy];...
-		'XX 1';...
-		['ShiftXY ' shiftx ' ' shifty];...
-		['Grid ' gridflag];...
-		['GridName ' gridname] ;...
-		'XX 85';...
-		'XX 1.0';...
-		'XX 1.0';...
-		'Hart 1';...
-		'DecimalShift 0';...
-		'Deformation 0';...
-		'CorrelationMin 0';...
-		'IntensityMin 0';...
-		['SeuilImage ' threshflag];...
-		['SeuilImageValues ' min_ima ' ' max_ima];...
-		['ImageToUse ' term_a ' ' term_b];... % VERIFIER ?
-		'ImageUsedBefore null null'};
-		textout=char(textcmx);
-% 		dlmwrite(filename_cmx,textout,'');
-     fid=fopen([filename_cmx],'w');
-fprintf(fid, ['##############   CMX file' '\n']);
- fprintf(fid,   ['FirstImage ' regexprep(filename_ima,'\\','\\\\') '\n' ]);
- fprintf(fid,   ['LastImage  ' regexprep(filename_ima_1,'\\','\\\\') '\n' ]);
-  fprintf(fid,  ['XX' '\n' ]);
-  fprintf(fid,  ['Mask '  maskflag '\n' ]);
-  fprintf(fid,  ['MaskName '  maskname '\n' ]);
- fprintf(fid,   ['ImageSize '  npx ' '  npy '\n' ]);   %VERIFIER CAS GENERAL ?
- fprintf(fid,   ['CorrelationBoxesSize '  ibx ' '  iby '\n' ]);
- fprintf(fid,   ['SearchBoxeSize '  isx ' '  isy '\n' ]);
- fprintf(fid,   ['RO '  rho '\n' ]);
- fprintf(fid,   ['GridSpacing '  dx ' '  dy '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['Dt_TO '  Dt ' '  T0 '\n' ]);
-  fprintf(fid,  ['PixCmXY '  pxcmx ' '  pxcmy '\n' ]);
-  fprintf(fid,  ['XX 1' '\n' ]);
- fprintf(fid,   ['ShiftXY '  shiftx ' '   shifty '\n' ]);
-  fprintf(fid,  ['Grid '  gridflag '\n' ]);
- fprintf(fid,   ['GridName '  gridname '\n' ]);
- fprintf(fid,   ['XX 85' '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['Hart 1' '\n' ]);
- fprintf(fid,  [ 'DecimalShift 0' '\n' ]);
- fprintf(fid,   ['Deformation 0' '\n' ]);
-  fprintf(fid,  ['CorrelationMin 0' '\n' ]);
- fprintf(fid,   ['IntensityMin 0' '\n' ]);
-  fprintf(fid,  ['SeuilImage n' '\n' ]);
- fprintf(fid,   ['SeuilImageValues 0 4096' '\n' ]);
- fprintf(fid,   ['ImageToUse '  term_a ' '  term_b '\n' ]); % VERIFIER ?
- fprintf(fid,   ['ImageUsedBefore null null' '\n' ]);
-fclose(fid);
-       
-		s=-1; 
+                maskflag='n';
+            end
+        end
+        textcmx={'##############   CMX file';...
+            ['FirstImage ' filename_ima];...
+            ['LastImage  ' filename_ima_1];...
+            'XX' ;...
+            ['Mask ' maskflag] ;...
+            ['MaskName ' maskname];...
+            ['ImageSize ' npx ' ' npy];...   %VERIFIER CAS GENERAL ?
+            ['CorrelationBoxesSize ' ibx ' ' iby];...
+            ['SearchBoxeSize ' isx ' ' isy];...
+            ['RO ' rho];...
+            ['GridSpacing ' dx ' ' dy];...
+            'XX 1.0';...
+            ['Dt_TO ' Dt ' ' T0];...
+            ['PixCmXY ' pxcmx ' ' pxcmy];...
+            'XX 1';...
+            ['ShiftXY ' shiftx ' ' shifty];...
+            ['Grid ' gridflag];...
+            ['GridName ' gridname] ;...
+            'XX 85';...
+            'XX 1.0';...
+            'XX 1.0';...
+            'Hart 1';...
+            'DecimalShift 0';...
+            'Deformation 0';...
+            'CorrelationMin 0';...
+            'IntensityMin 0';...
+            ['SeuilImage ' threshflag];...
+            ['SeuilImageValues ' min_ima ' ' max_ima];...
+            ['ImageToUse ' term_a ' ' term_b];... % VERIFIER ?
+            'ImageUsedBefore null null'};
+        textout=char(textcmx);
+        % 		dlmwrite(filename_cmx,textout,'');
+        fid=fopen([filename_cmx],'w');
+        fprintf(fid, ['##############   CMX file' '\n']);
+        fprintf(fid,   ['FirstImage ' regexprep(filename_ima,'\\','\\\\') '\n' ]);
+        fprintf(fid,   ['LastImage  ' regexprep(filename_ima_1,'\\','\\\\') '\n' ]);
+        fprintf(fid,  ['XX' '\n' ]);
+        fprintf(fid,  ['Mask '  maskflag '\n' ]);
+        fprintf(fid,  ['MaskName '  maskname '\n' ]);
+        fprintf(fid,   ['ImageSize '  npx ' '  npy '\n' ]);   %VERIFIER CAS GENERAL ?
+        fprintf(fid,   ['CorrelationBoxesSize '  ibx ' '  iby '\n' ]);
+        fprintf(fid,   ['SearchBoxeSize '  isx ' '  isy '\n' ]);
+        fprintf(fid,   ['RO '  rho '\n' ]);
+        fprintf(fid,   ['GridSpacing '  dx ' '  dy '\n' ]);
+        fprintf(fid,   ['XX 1.0' '\n' ]);
+        fprintf(fid,   ['Dt_TO '  Dt ' '  T0 '\n' ]);
+        fprintf(fid,  ['PixCmXY '  pxcmx ' '  pxcmy '\n' ]);
+        fprintf(fid,  ['XX 1' '\n' ]);
+        fprintf(fid,   ['ShiftXY '  shiftx ' '   shifty '\n' ]);
+        fprintf(fid,  ['Grid '  gridflag '\n' ]);
+        fprintf(fid,   ['GridName '  gridname '\n' ]);
+        fprintf(fid,   ['XX 85' '\n' ]);
+        fprintf(fid,   ['XX 1.0' '\n' ]);
+        fprintf(fid,   ['XX 1.0' '\n' ]);
+        fprintf(fid,   ['Hart 1' '\n' ]);
+        fprintf(fid,  [ 'DecimalShift 0' '\n' ]);
+        fprintf(fid,   ['Deformation 0' '\n' ]);
+        fprintf(fid,  ['CorrelationMin 0' '\n' ]);
+        fprintf(fid,   ['IntensityMin 0' '\n' ]);
+        fprintf(fid,  ['SeuilImage n' '\n' ]);
+        fprintf(fid,   ['SeuilImageValues 0 4096' '\n' ]);
+        fprintf(fid,   ['ImageToUse '  term_a ' '  term_b '\n' ]); % VERIFIER ?
+        fprintf(fid,   ['ImageUsedBefore null null' '\n' ]);
+        fclose(fid);
+        
+        s=-1;
         display(['!' civ1Bin ' -f ' filename_cmx ' > ' namelog ])
         eval(['!' civ1Bin ' -f ' filename_cmx ' > ' namelog ]);
-% 		if sge%dispatch computation on the cluster using interactive queue
-%           %  [s,w] = unix(['qrsh -q fast.q ' civ1Bin ' -f ' filename_cmx ' > ' namelog ' 2>&1' ]);
-%        end     
-%         if s~=0
-%            %  ['!' civ1Bin ' -f ' filename_cmx ' > ' namelog]
-%            % eval(['!' civ1Bin ' -f ' filename_cmx ' > ' namelog]);       
-%         end
+        % 		if sge%dispatch computation on the cluster using interactive queue
+        %           %  [s,w] = unix(['qrsh -q fast.q ' civ1Bin ' -f ' filename_cmx ' > ' namelog ' 2>&1' ]);
+        %        end
+        %         if s~=0
+        %            %  ['!' civ1Bin ' -f ' filename_cmx ' > ' namelog]
+        %            % eval(['!' civ1Bin ' -f ' filename_cmx ' > ' namelog]);
+        %         end
     end
 end
@@ -3639,5 +3641,5 @@
 % %filecell_3: names of second images
 % global civ2Bin sge
-% 
+%
 % %names of the civ2 fields
 % field.vel_type='civ2';
@@ -3647,5 +3649,5 @@
 % field.U='vec2_U';
 % field.V='vec2_V';
-%  
+%
 % %get civ parameters
 % ibx=get(handles.ibx_civ2,'String');
@@ -3679,6 +3681,6 @@
 %     if numel(gridname)>4 && isequal(gridname(end-3:end),'grid')
 %         nbslice_grid=str2num(gridname(1:end-4)); %
-%         if ~isempty(nbslice_grid) 
-%             gridflag='y'; 
+%         if ~isempty(nbslice_grid)
+%             gridflag='y';
 %         end
 %     elseif exist(gridname,'file')
@@ -3692,5 +3694,5 @@
 % nbfield=sizcell(1);
 % nbslice=sizcell(2);
-%   
+%
 % %main loop
 % icount=0;
@@ -3708,5 +3710,5 @@
 %         filename_cmx([end-1:end])=[ 'cm'];%name of cmx file
 %         filename_cmx=[filename_cmx 'x'];
-%         namelog=[filename_cmx([1:end-3]) 'log']; 
+%         namelog=[filename_cmx([1:end-3]) 'log'];
 %         if size(time,1)>=num2(ifile) &  size(time,2)>=num_b(j)
 %             Dt=num2str(time(num2(ifile),num_b(j))-time(num1(ifile),num_a(j)));
@@ -3718,10 +3720,10 @@
 %             Dt='1';
 %             T0='0';
-%         end 
+%         end
 %         term_a=num2stra(num_a(j),nom_type_nc);
 %         term_b=num2stra(num_b(j),nom_type_nc);
 %         filename_nc1=cell2mat(filecell_nc1(ifile,j));
-%         filename_nc1([end-2:end])=[]; % remove '.nc'     
-%         if test_grid && ~isempty(nbslice_grid)        
+%         filename_nc1([end-2:end])=[]; % remove '.nc'
+%         if test_grid && ~isempty(nbslice_grid)
 %             num1_grid=mod(num1(ifile)-1,nbslice_grid)+1;
 %             gridname=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
@@ -3730,23 +3732,23 @@
 %                 return
 %             end
-%         end      
+%         end
 %         test_mask=get(handles.get_mask_civ2,'Value');
-%         if test_mask==0  
+%         if test_mask==0
 %             maskname='noFile use default';
 %             maskflag='n';
 %         else
 %             maskdispl=get(handles.mask_civ2,'String');
-%             maskbase=[filebase '_' maskdispl]; % 
-%             nbslice_mask=str2num(maskdispl(1:end-4)); % 
+%             maskbase=[filebase '_' maskdispl]; %
+%             nbslice_mask=str2num(maskdispl(1:end-4)); %
 %             num1_mask=mod(num1(ifile)-1,nbslice_mask)+1;
 %             maskname =name_generator(maskbase,num1_mask,1,'.png','_i');
 %             if ~exist(maskname,'file')
-%                 maskflag='y'; 
+%                 maskflag='y';
 %             else
 %                 maskname='noFile use default';
-%                 maskflag='n'; 
+%                 maskflag='n';
 %             end
 %         end
-%     
+%
 % 		textcmx={'##############   CMX file';...
 % 		['FirstImage ' filename_ima_2];...
@@ -3755,5 +3757,5 @@
 % 		['Mask ' maskflag];...
 % 		['MaskName ' maskname];...
-% 		['ImageSize ' npx ' ' npy];...   
+% 		['ImageSize ' npx ' ' npy];...
 % 		['CorrelationBoxesSize ' ibx ' ' iby];...
 % 		['SearchBoxeSize ' ibx ' ' iby];...
@@ -3780,19 +3782,19 @@
 % 		['ImageUsedBefore ' filename_nc1]};
 %         textout=char(textcmx);
-%         dlmwrite(filename_cmx,textout,''); 
-%         s=-1;  
+%         dlmwrite(filename_cmx,textout,'');
+%         s=-1;
 %         display(['!' civ2Bin ' -f ' filename_cmx ' > ' namelog ])
-%         eval(['!' civ2Bin ' -f ' filename_cmx ' > ' namelog ]);    
-%      
+%         eval(['!' civ2Bin ' -f ' filename_cmx ' > ' namelog ]);
+%
 % % 		if sge%dispatch computation on the cluster using interactive queue
 % %             [s,w] = unix(['qrsh -q fast.q ' civ2Bin ' -f ' filename_cmx ' > ' namelog ' 2>&1']);
-% %         end     
+% %         end
 % %         if s~=0
 % %             eval(['!' civ2Bin ' -f ' filename_cmx ' > ' namelog]);
 % %             ['!' civ2Bin ' -f ' filename_cmx ' > ' namelog]
-% %         end                      
+% %         end
 %     end
 % end
-% % close(h) 
+% % close(h)
 
 %------------------------------------------------------------------------
@@ -3800,12 +3802,12 @@
 function cmd_PATCH=PATCH_CMD(filename_nc,nx_patch,ny_patch,rho_patch,subdomain_patch,thresh_value,test_interp,PatchBin)
 %------------------------------------------------------------------------
-        namelog=[filename_nc([1:end-3]) '_patch.log'];
-        if test_interp==0
-            cmd_PATCH=[PatchBin ' -f ' filename_nc ' -m ' nx_patch  ' -n ' ny_patch ' -ro ' rho_patch ' -nopt ' subdomain_patch ...
-            '  > ' namelog ' 2>&1']; % redirect standard output to the log file
-         else %nouveau programme patch
-             cmd_PATCH=[PatchBin ' -f ' filename_nc ' -m ' nx_patch  ' -n ' ny_patch ' -ro ' rho_patch ...
-                ' -max ' thresh_value ' -nopt ' subdomain_patch  '  > ' namelog ' 2>&1']; % redirect standard output to the log file
-        end
+namelog=[filename_nc([1:end-3]) '_patch.log'];
+if test_interp==0
+    cmd_PATCH=[PatchBin ' -f ' filename_nc ' -m ' nx_patch  ' -n ' ny_patch ' -ro ' rho_patch ' -nopt ' subdomain_patch ...
+        '  > ' namelog ' 2>&1']; % redirect standard output to the log file
+else %nouveau programme patch
+    cmd_PATCH=[PatchBin ' -f ' filename_nc ' -m ' nx_patch  ' -n ' ny_patch ' -ro ' rho_patch ...
+        ' -max ' thresh_value ' -nopt ' subdomain_patch  '  > ' namelog ' 2>&1']; % redirect standard output to the log file
+end
 
 %------------------------------------------------------------------------
@@ -3922,5 +3924,5 @@
     num_a=1;
     num_b=1;
-elseif isequal (mode, 'series(Dj)') 
+elseif isequal (mode, 'series(Dj)')
     num1=1;
     num2=1;
@@ -3959,5 +3961,5 @@
 subdir=get(handles.subdir_civ1,'String');
 set(handles.subdir_civ2,'String',subdir);
-if get(handles.CIV1,'Value')==0 
+if get(handles.CIV1,'Value')==0
     find_netcpair_civ1(hObject, eventdata, handles); %update the list of available pairs from netcdf files in the new directory
 end
@@ -3984,20 +3986,20 @@
     [ nbslice_mask, flag_mask]=get_mask(filebase,handles);
     if isequal(flag_mask,1)
-          mask_displ=[num2str(nbslice_mask) 'mask'];
+        mask_displ=[num2str(nbslice_mask) 'mask'];
     elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
-            common_path=fileparts(filebase);
-            filebase_a=fullfile(common_path,get(handles.RootName_1,'String'));
-            [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
-            if isequal(flag_mask_a,0) || ~isequal(nbslice_a,nbslice_mask)
-                mask_displ='no mask';
-            end
+        common_path=fileparts(filebase);
+        filebase_a=fullfile(common_path,get(handles.RootName_1,'String'));
+        [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
+        if isequal(flag_mask_a,0) || ~isequal(nbslice_a,nbslice_mask)
+            mask_displ='no mask';
+        end
     end
     if isequal(mask_displ,'no mask')
         [FileName, PathName, filterindex] = uigetfile( ...
-               {'*.png', ' (*.png)';
-                '*.png',  '.png files '; ...
-                '*.*', 'All Files (*.*)'}, ...
-                'Pick a mask file *.png',filebase);
-        mask_displ=fullfile(PathName,FileName);  
+            {'*.png', ' (*.png)';
+            '*.png',  '.png files '; ...
+            '*.*', 'All Files (*.*)'}, ...
+            'Pick a mask file *.png',filebase);
+        mask_displ=fullfile(PathName,FileName);
         if ~exist(mask_displ,'file')
             mask_displ='no mask';
@@ -4028,10 +4030,10 @@
     set(handles.mask_fix1,'String','')
 else
-mask_displ='no mask'; %default
-filebase=get(handles.RootName,'String');
-[nbslice, flag_mask]=get_mask(filebase,handles);
-if isequal(flag_mask,1)
-      mask_displ=[num2str(nbslice) 'mask'];
-elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
+    mask_displ='no mask'; %default
+    filebase=get(handles.RootName,'String');
+    [nbslice, flag_mask]=get_mask(filebase,handles);
+    if isequal(flag_mask,1)
+        mask_displ=[num2str(nbslice) 'mask'];
+    elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
         filebase_a=get(handles.RootName_1,'String');
         [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
@@ -4039,27 +4041,27 @@
             mask_displ='no mask';
         end
-end
-if isequal(mask_displ,'no mask')
-    [FileName, PathName, filterindex] = uigetfile( ...
-           {'*.png', ' (*.png)';
+    end
+    if isequal(mask_displ,'no mask')
+        [FileName, PathName, filterindex] = uigetfile( ...
+            {'*.png', ' (*.png)';
             '*.png',  '.png files '; ...
             '*.*', 'All Files (*.*)'}, ...
             'Pick a mask file *.png',filebase);
-    mask_displ=fullfile(PathName,FileName);  
-    if ~exist(mask_displ,'file')
-        mask_displ='no mask';
-    end
-end
-if isequal(mask_displ,'no mask')
-    set(handles.get_mask_fix1,'Value',0)
-    set(handles.get_mask_civ2,'Value',0)
-    set(handles.get_mask_fix2,'Value',0)
-else
-    %set(handles.get_mask_civ2,'Value',1)
-    set(handles.get_mask_fix2,'Value',1)
-end 
-set(handles.mask_fix1,'String',mask_displ)
-set(handles.mask_civ2,'String',mask_displ)
-set(handles.mask_fix2,'String',mask_displ)
+        mask_displ=fullfile(PathName,FileName);
+        if ~exist(mask_displ,'file')
+            mask_displ='no mask';
+        end
+    end
+    if isequal(mask_displ,'no mask')
+        set(handles.get_mask_fix1,'Value',0)
+        set(handles.get_mask_civ2,'Value',0)
+        set(handles.get_mask_fix2,'Value',0)
+    else
+        %set(handles.get_mask_civ2,'Value',1)
+        set(handles.get_mask_fix2,'Value',1)
+    end
+    set(handles.mask_fix1,'String',mask_displ)
+    set(handles.mask_civ2,'String',mask_displ)
+    set(handles.mask_fix2,'String',mask_displ)
 end
 
@@ -4072,10 +4074,10 @@
     set(handles.mask_civ2,'String','')
 else
-mask_displ='no mask'; %default
-filebase=get(handles.RootName,'String');
-[nbslice, flag_mask]=get_mask(filebase,handles);
-if isequal(flag_mask,1)
-      mask_displ=[num2str(nbslice) 'mask'];
-elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
+    mask_displ='no mask'; %default
+    filebase=get(handles.RootName,'String');
+    [nbslice, flag_mask]=get_mask(filebase,handles);
+    if isequal(flag_mask,1)
+        mask_displ=[num2str(nbslice) 'mask'];
+    elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
         filebase_a=get(handles.RootName_1,'String');
         [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
@@ -4083,24 +4085,24 @@
             mask_displ='no mask';
         end
-end
-if isequal(mask_displ,'no mask')
-    [FileName, PathName, filterindex] = uigetfile( ...
-           {'*.png', ' (*.png)';
+    end
+    if isequal(mask_displ,'no mask')
+        [FileName, PathName, filterindex] = uigetfile( ...
+            {'*.png', ' (*.png)';
             '*.png',  '.png files '; ...
             '*.*', 'All Files (*.*)'}, ...
             'Pick a mask file *.png',filebase);
-    mask_displ=fullfile(PathName,FileName);
-    if ~exist(mask_displ,'file')
-        mask_displ='no mask';
-    end
-end
-if isequal(mask_displ,'no mask')
-    set(handles.get_mask_civ2,'Value',0)
-    set(handles.get_mask_fix2,'Value',0)
-else
-    set(handles.get_mask_fix2,'Value',1)
-end 
-set(handles.mask_civ2,'String',mask_displ)
-set(handles.mask_fix2,'String',mask_displ)
+        mask_displ=fullfile(PathName,FileName);
+        if ~exist(mask_displ,'file')
+            mask_displ='no mask';
+        end
+    end
+    if isequal(mask_displ,'no mask')
+        set(handles.get_mask_civ2,'Value',0)
+        set(handles.get_mask_fix2,'Value',0)
+    else
+        set(handles.get_mask_fix2,'Value',1)
+    end
+    set(handles.mask_civ2,'String',mask_displ)
+    set(handles.mask_fix2,'String',mask_displ)
 end
 
@@ -4117,19 +4119,19 @@
     [nbslice, flag_mask]=get_mask(filebase,handles);
     if isequal(flag_mask,1)
-          mask_displ=[num2str(nbslice) 'mask'];
+        mask_displ=[num2str(nbslice) 'mask'];
     elseif get(handles.compare,'Value')>1 & ~isequal(mask_displ,'no mask')% look for the second mask series
-            filebase_a=get(handles.RootName_1,'String');
-            [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
-            if isequal(flag_mask_a,0) | ~isequal(nbslice_a,nbslice)
-                mask_displ='no mask';
-            end
+        filebase_a=get(handles.RootName_1,'String');
+        [nbslice_a, flag_mask_a]=get_mask(filebase_a,handles);
+        if isequal(flag_mask_a,0) | ~isequal(nbslice_a,nbslice)
+            mask_displ='no mask';
+        end
     end
     if isequal(mask_displ,'no mask')
         [FileName, PathName, filterindex] = uigetfile( ...
-               {'*.png', ' (*.png)';
-                '*.png',  '.png files '; ...
-                '*.*', 'All Files (*.*)'}, ...
-                'Pick a mask file *.png',filebase);
-        mask_displ=fullfile(PathName,FileName);  
+            {'*.png', ' (*.png)';
+            '*.png',  '.png files '; ...
+            '*.*', 'All Files (*.*)'}, ...
+            'Pick a mask file *.png',filebase);
+        mask_displ=fullfile(PathName,FileName);
         if ~exist(mask_displ,'file')
             mask_displ='no mask';
@@ -4138,5 +4140,5 @@
     if isequal(mask_displ,'no mask')
         set(handles.get_mask_fix2,'Value',0)
-    end 
+    end
     set(handles.mask_fix2,'String',mask_displ)
 end
@@ -4146,5 +4148,5 @@
 function [nbslice, flag_mask]=get_mask(filebase,handles)
 %------------------------------------------------------------------------
-%detect mask files, images with appropriate file base 
+%detect mask files, images with appropriate file base
 %[filebase '_' xx 'mask'], xx=nbslice
 %flag_mask=1 indicates detection
@@ -4164,6 +4166,6 @@
 cd(currentdir);%come back to the current working directory
 if ~isempty(maskfiles)
-%     msgbox_uvmat('ERROR','no mask available, to create it use Tools/Make mask in the upper menu bar of uvmat')
-% else
+    %     msgbox_uvmat('ERROR','no mask available, to create it use Tools/Make mask in the upper menu bar of uvmat')
+    % else
     flag_mask=1;
     maskname=maskfiles(1).name;% take the first mask file in the list
@@ -4174,15 +4176,15 @@
     i=ind_mask-1;
     while val(i)==0 & i>0
-       i=i-1;
+        i=i-1;
     end
     nbslice=str2num(Name(i+1:ind_mask-1));
     if ~isequal(nbslice,[]) & Name(i)=='_'
-          flag_mask=1;
+        flag_mask=1;
     else
-          msgbox_uvmat('ERROR',['bad mask file ' Name ext ' found in ' Path2])
-          return
-          nbslice=1;
-    end
-end    
+        msgbox_uvmat('ERROR',['bad mask file ' Name ext ' found in ' Path2])
+        return
+        nbslice=1;
+    end
+end
 
 %------------------------------------------------------------------------
@@ -4206,13 +4208,13 @@
     i=ind_mask-1;
     while val(i)==0 & i>0
-       i=i-1;
+        i=i-1;
     end
     nbslice=str2num(Name(i+1:ind_mask-1));
     if ~isequal(nbslice,[]) & Name(i)=='_'
-          flag_mask=1;
+        flag_mask=1;
     else
-          msgbox_uvmat('ERROR',['bad grid file ' Name ext ' found in ' Path2])
-          return
-          nbslice=1;
+        msgbox_uvmat('ERROR',['bad grid file ' Name ext ' found in ' Path2])
+        return
+        nbslice=1;
     end
 end
@@ -4286,46 +4288,46 @@
 testgrid=0;
 if value
-	filebase=get(handles.RootName,'String');
+    filebase=get(handles.RootName,'String');
     [nbslice, flag_grid]=get_grid(filebase,handles);
     if isequal(flag_grid,1)
-       filegrid=[num2str(nbslice) 'grid'];
-       testgrid=1;
-    else   
+        filegrid=[num2str(nbslice) 'grid'];
+        testgrid=1;
+    else
         [FileName, PathName, filterindex] = uigetfile( ...
-               {'*.grid', ' (*.grid)';
-                '*.grid',  '.grid files '; ...
-                '*.*', 'All Files (*.*)'}, ...
-                'Pick a file',filebase);
+            {'*.grid', ' (*.grid)';
+            '*.grid',  '.grid files '; ...
+            '*.*', 'All Files (*.*)'}, ...
+            'Pick a file',filebase);
         filegrid=fullfile(PathName,FileName);
         if ~(isempty(FileName)||isempty(PathName)||isequal(FileName,0)||~exist(filegrid,'file'))
             testgrid=1;
         end
-    end        
+    end
 end
 if testgrid
-        set(handles.browse_gridciv2,'Value',1)
-        set(handles.get_gridpatch1,'Value',1)
-        set(handles.get_gridpatch2,'Value',1)
-        set(handles.dx_civ1,'Visible','off');
-        set(handles.dy_civ1,'Visible','off');
-        set(handles.dx_civ2,'Visible','off');
-        set(handles.dy_civ2,'Visible','off');
-        set(handles.grid_civ1,'String',filegrid)      
-        set(handles.grid_patch1,'String',filegrid)
-        set(handles.grid_civ2,'String',filegrid)
-        set(handles.grid_patch2,'String',filegrid)
-    else
-        set(handles.browse_gridciv1,'Value',0);
-        set(handles.browse_gridciv2,'Value',0);
-        set(handles.get_gridpatch1,'Value',0)
-        set(handles.get_gridpatch2,'Value',0)
-        set(handles.dx_civ1,'Visible','on');
-        set(handles.dy_civ1,'Visible','on');
-        set(handles.dx_civ2,'Visible','on');
-        set(handles.dy_civ2,'Visible','on');
-        set(handles.grid_civ1,'String','')      
-        set(handles.grid_patch1,'String','')
-        set(handles.grid_civ2,'String','')
-        set(handles.grid_patch2,'String','')
+    set(handles.browse_gridciv2,'Value',1)
+    set(handles.get_gridpatch1,'Value',1)
+    set(handles.get_gridpatch2,'Value',1)
+    set(handles.dx_civ1,'Visible','off');
+    set(handles.dy_civ1,'Visible','off');
+    set(handles.dx_civ2,'Visible','off');
+    set(handles.dy_civ2,'Visible','off');
+    set(handles.grid_civ1,'String',filegrid)
+    set(handles.grid_patch1,'String',filegrid)
+    set(handles.grid_civ2,'String',filegrid)
+    set(handles.grid_patch2,'String',filegrid)
+else
+    set(handles.browse_gridciv1,'Value',0);
+    set(handles.browse_gridciv2,'Value',0);
+    set(handles.get_gridpatch1,'Value',0)
+    set(handles.get_gridpatch2,'Value',0)
+    set(handles.dx_civ1,'Visible','on');
+    set(handles.dy_civ1,'Visible','on');
+    set(handles.dx_civ2,'Visible','on');
+    set(handles.dy_civ2,'Visible','on');
+    set(handles.grid_civ1,'String','')
+    set(handles.grid_patch1,'String','')
+    set(handles.grid_civ2,'String','')
+    set(handles.grid_patch2,'String','')
 end
 
@@ -4336,5 +4338,5 @@
 value=get(handles.browse_gridciv2,'Value');
 if value
-	filebase=get(handles.RootName,'String');
+    filebase=get(handles.RootName,'String');
     [nbslice, flag_grid]=get_grid(filebase,handles);
     if isequal(flag_grid,1)
@@ -4343,10 +4345,10 @@
         set(handles.dx_civ2,'Visible','off');
         set(handles.dy_civ2,'Visible','off');
-    else   
+    else
         [FileName, PathName, filterindex] = uigetfile( ...
-               {'*.grid', ' (*.grid)';
-                '*.grid',  '.grid files '; ...
-                '*.*', 'All Files (*.*)'}, ...
-                'Pick a file',filebase);
+            {'*.grid', ' (*.grid)';
+            '*.grid',  '.grid files '; ...
+            '*.*', 'All Files (*.*)'}, ...
+            'Pick a file',filebase);
         filegrid=fullfile(PathName,FileName);
         if isempty(FileName)|isempty(PathName)|isequal(FileName,0)|~exist(filegrid,'file')
@@ -4365,12 +4367,12 @@
 else
     set(handles.grid_civ2,'string','');
-	set(handles.dx_civ2,'Visible','on');
-	set(handles.dy_civ2,'Visible','on');
-	set(handles.grid_civ2,'string','');
+    set(handles.dx_civ2,'Visible','on');
+    set(handles.dy_civ2,'Visible','on');
+    set(handles.grid_civ2,'string','');
 end
 
 % % --- Executes on button press in browse_gridciv2.
 % function browse_gridciv2_Callback(hObject, eventdata, handles)
-% 
+%
 % filebase=get(handles.RootName,'String');
 % [FileName, PathName, filterindex] = uigetfile( ...
@@ -4393,8 +4395,8 @@
 filebase=get(handles.RootName,'String');
 [FileName, PathName, filterindex] = uigetfile( ...
-       {'*.grid', ' (*.grid)';
-        '*.grid',  '.grid files '; ...
-        '*.*', 'All Files (*.*)'}, ...
-        'Pick a file',filebase);
+    {'*.grid', ' (*.grid)';
+    '*.grid',  '.grid files '; ...
+    '*.*', 'All Files (*.*)'}, ...
+    'Pick a file',filebase);
 filegrid=fullfile(PathName,FileName);
 set(handles.grid_patch1,'string',filegrid);
@@ -4508,5 +4510,5 @@
 set(handles.nx_patch1_title,'Visible','on')
 set(handles.ny_patch1_title,'Visible','on')
-% if ~isempty(patch_newBin) 
+% if ~isempty(patch_newBin)
 %     set(handles.test_interp,'Visible','on');
 % end
@@ -4578,5 +4580,5 @@
     set(handles.MaxIma2,'Visible','off')
     set(handles.ImaThreshold2,'Value',0)
-    if isequal(get(handles.FIX2,'Value'),0) & isequal(get(handles.PATCH2,'Value'),0) 
+    if isequal(get(handles.FIX2,'Value'),0) & isequal(get(handles.PATCH2,'Value'),0)
         set(handles.list_pair_civ2,'Visible','off')
         set(handles.subdir_civ2,'Visible','off')
@@ -4640,5 +4642,5 @@
 set(handles.inf_sup2,'Visible','off')
 set(handles.field_ref2,'Visible','off')
-if isequal(get(handles.CIV2,'Value'),0) & isequal(get(handles.PATCH2,'Value'),0) 
+if isequal(get(handles.CIV2,'Value'),0) & isequal(get(handles.PATCH2,'Value'),0)
     set(handles.list_pair_civ2,'Visible','off')
     set(handles.subdir_civ2,'Visible','off')
@@ -4682,5 +4684,5 @@
 set(handles.get_gridpatch2,'Visible','off')
 set(handles.grid_patch2,'Visible','off')
-if isequal(get(handles.CIV2,'Value'),0) & isequal(get(handles.FIX2,'Value'),0) 
+if isequal(get(handles.CIV2,'Value'),0) & isequal(get(handles.FIX2,'Value'),0)
     set(handles.list_pair_civ2,'Visible','off')
     set(handles.subdir_civ2,'Visible','off')
